#ifndef _MAIN_WIN_H
#define _MAIN_WIN_H

#include <tdemainwindow.h>

#include "gameboard.h"

class ConquestMap;
class PlanetStatusTable;

class MainWindow : public TDEMainWindow
{
    TQ_OBJECT
  

public:
    MainWindow();
    ~MainWindow();

protected:
    void setupTDEAction();
    void setupGameBoard();

private:
    GameBoard *gameBoard;
    TDEAction *endAction, *measureAction, *standingAction, *fleetAction;

private slots:
    void gameStateChange( GameState );

};

#endif

